

#include "stdafx.h"
#include "ComSurrogateScanning_i.h"
#include "dllmain.h"
#include "xdlldata.h"

CComSurrogateScanningModule _AtlModule;


#ifdef _MERGE_PROXYSTUB
extern "C" BOOL WINAPI DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID lpReserved)
{
	if (!PrxDllMain(hInstance, dwReason, lpReserved))
		return FALSE;
	return _AtlModule.DllMain(dwReason, lpReserved);
}
#else
extern "C" BOOL WINAPI DllMain(HINSTANCE, DWORD dwReason, LPVOID lpReserved)
{
	return _AtlModule.DllMain(dwReason, lpReserved);
}
#endif

